import { Injectable } from '@nestjs/common';
import { EntityManager, EntityRepository } from '@mikro-orm/postgresql';
import { Delivery } from '../entities/delivery.entity';

@Injectable()
export class DeliveryRepository extends EntityRepository<Delivery> {
  constructor(readonly em: EntityManager) {
    super(em, Delivery);
  }
}
